Subject: Re: WARNING in bpf_prog_kallsyms_add

From: Ido Schimmel <[email-masked]>
Date: Mon, 25 Mar 2019 12:16:38 +0000

+ Dmitry

On Sat, Mar 23, 2019 at 07:16:01PM -0700, syzbot wrote:
> syzbot has bisected this bug to:
> 
> commit 7607dd35fc34893214284cca740d015154d20452
> Author: Ido Schimmel <[email-masked]>
> Date:   Mon Jul 17 12:15:30 2017 +0000
> 
>     mlxsw: spectrum: Trap IPv4 packets with Router Alert option
> 
> bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=14e0ac07200000
> start commit:   645ff1e8 Merge branch 'for-linus' of git://git.kernel.org/..
> git tree:       upstream
> final crash:    https://syzkaller.appspot.com/x/report.txt?x=16e0ac07200000
> console output: https://syzkaller.appspot.com/x/log.txt?x=12e0ac07200000
> kernel config:  https://syzkaller.appspot.com/x/.config?x=20271e14bc1c87f0
> dashboard link: https://syzkaller.appspot.com/bug?extid=987e48d84abddbe2506d
> syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=13c69d20c00000
> 
> Reported-by: [email-masked]
> Fixes: 7607dd35fc34 ("mlxsw: spectrum: Trap IPv4 packets with Router Alert
> option")
> 
> For information about bisection process see: https://goo.gl/tpsmEJ#bisection

Dmitry,

The bisection is probably wrong. Above mentioned commit is specific to
mlxsw which is not even present in the provided kernel config.

I see that this also appears in the web interface [1] which might be
misleading to some people. Might be worthwhile to add a command for
syzbot that tells it that bisection is wrong?

[1] https://syzkaller.appspot.com/bug?id=b658eb696c8279d9951a4ceea79efba8a1d12467